n = int(input())
heights = list(map(int, input().split()))
costs = list(map(int, input().split()))

# Создайте список пар (высота, стоимость) и отсортируйте его по стоимости в порядке возрастания.
columns = list(zip(heights, costs))
columns.sort(key=lambda x: x[1])

# Инициализируйте переменную для хранения общей стоимости накрытия крыш.
total_cost = 0

# Итерируйтесь по колоннам в порядке возрастания стоимости закрепления и добавляйте стоимость накрытия.
for column in columns:
    total_cost += column[0] * column[1]

print(total_cost)